;;;   Disrupt.tf File for Abelinc's Spellup Scripts for Aard's Tf users    ;;;

/if (just_report) \
	/unset just_report %; /exit %; \
/endif

/if (!cancel_iteration) \
	/if (have_cancel) /disrupt_vs_cancel %; /endif %; \
/endif

/eval /set continue_disrupting=$(/eval /listvar need_disr* %| /wc -l)

/def -mregexp -F -t'(^You are not familiar with [a-z ]+[.]|^You disrupt the magic in your [a-z ]+ spell[.]|You are not affected by [a-z ]+[.]|In your dreams, or what[?]|You lost your concentration while trying to cast disrupt[.])$' \
		continue_disrupting_trig= \
		/test --continue_disrupting %; \
	/if (!continue_disrupting) \
		/done_disrupting %; \
		/undef continue_disrupting_trig %; \
		/undef redoing_disrupts %; \
		/load -q spellup/redo-all.tf %; \
		/load -q spellup/untrigspell.tf %; \
	/endif

;;; Special case because of the XOR nature of protection evil/good

/if (need_disr_prot_align) \
	/if (prot_from=~"E") /disr_prot_ev %; /endif %; \
	/if (prot_from=~"G") /disr_prot_go %; /endif %; \
	/unset need_disr_prot_align %; \
/endif

;;; Special case because of the XOR nature of globe/antimagic

/if (need_disr_resist_type) \
	/if (resist_from=~"PHY") /disr_globe %; /endif %; \
	/if (resist_from=~"MAG") /disr_antimagic %; /endif %; \
	/unset need_disr_resist_type %; \
/endif

/def -mregexp -F -t'You need to be more disruptive[.] The (.*) is still there[!]$' redoing_disrupts = c disrupt "%P1"

;;;
;;; Do actual disrupt
;;;

/quote -S -dexec /disrupt_arg '"spellup/list_spell.tf"

/if (!continue_disrupting) \
	/done_disrupting %; \
	/undef continue_disrupting_trig %; \
	/undef redoing_disrupts %; \
	/load -q spellup/redo-all.tf %; \
	/load -q spellup/untrigspell.tf %; \
/endif
